SciQLOP - Task #2243

User story # 2240 (Closed): Génération d'un spectrogramme (plugin AMDA)

Mise a jour du parser AMDA pour gérer les spectrogammes
26/10/2017 03:32 PM - Anonymous

Status: Closed Start date: 06/11/2017
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0 blocked: No
Description

e Lecture dans le header du fichier résultat : ** des unités pour I'axe Y et les valeurs ** des bandes d'énergie/de fréquence (la
moyenne de chaque intervalle est retenue) ** de la "fill value" (utilisée pour remplacer les valeurs non définies du fichier par
NaN dans SciQlop)

¢ Lecture et conversion des données en SpectrogramSeries

¢ Tri des données par temps puis par bande de fréquence/énergie

e Tests unitaires de validation. Penser aux cas limites : deux fichiers au nombre de bandes différent, absence des unités, bornes
des bandes non définies, valeurs NaN, etc.)

History

#1 - 26/10/2017 03:49 PM - Anonymous

- Description updated

#2 - 30/10/2017 05:50 PM - Anonymous
- Sprint changed from Sprint 11 to Sprint 12

#3 - 06/11/2017 09:24 AM - Anonymous
- Sprint changed from Sprint 12 to Product backlog

#4 - 06/11/2017 09:24 AM - Anonymous
- Sprint changed from Product backlog to Sprint 12

#5 - 06/11/2017 11:26 AM - Anonymous
- Status changed from New to In Progress
- Assignee set to Anonymous

- Start date set to 06/11/2017

#6 - 08/11/2017 03:06 PM - Anonymous

- Status changed from In Progress to Feedback

#7 - 22/11/2017 05:52 PM - Anonymous
- Status changed from Feedback to Closed
